Blackboard Collaborate Original Experience - What are the requirements for using the Blackboard Collaborate 12.6 client?

A summary of supported Operating Systems and Internet browsers compatible with Blackboard Collaborate Original Experience (web conferencing).

Blackboard Collaborate Original Experience requires the use of Java as a browser plugin, which limits the number of available options. No current popular browser allows the use of Java any longer. Chrome, Firefox, and Safari are not supported.

Browser support on Windows operating systems

Windows 8: Internet Explorer 11
Windows 10: Internet Explorer 11.

All other major browsers either do not support Java or, as in the case of Chromium-based Edge, require the use of an extension to mimic Internet Explorer 11. Given Internet Explorer 11 is part of Windows 10, it is recommended to use it natively and forego any plugin to make other browsers act like Internet Explorer.

Browser support on Mac OS

On the Machintosh, Mac OS 10.12 is the last OS release with Java support in Safari. Mac OS 10.13 and newer along with Safari 13 releases do not allow the install of NPAPI Java plugins any longer, joining Chrome and Firefox on the list of browsers not compatible with Blackboard Collaborate Original Experience. The suggested workaround is to use a lesser known browser called Waterfox Classic which can be found at https://www.waterfox.net.

Supported operating systems and recommended versions of Java

Java 7 and Java 8, as well as Java Access Bridge 2.0.1 are supported in Windows 8 and Windows 10. On Mac OS, Oracle Java 7 and Java 8 are supported.

General system requirements

256 MB RAM
20 MB free disk space
Internet Access - Broadband connection highly recommended
Soundcard with microphone and headphones (A headset with microphone/headphones is highly recommended)
Webcam (optional)
Note: Thin client solutions such as Citrix Metaframe and Virtual Machines are NOT supported

Link to Blackboard's own System Requirements document

Click here for Blackboard Collaborate Original Experience (Web Conferencing): System Requirements

Note: The documentation shown in tables on this page has been updated. Pay special attention to the sections labeled "Important Update" plus the linked detailed descriptions of these updates to browser support. Collaborate Original Experience is an old product and it is getting more and more difficult to use it with mainstream browsers. The end of Java NPAPI plugin support in most popular browsers has reduced the list of compatible browsers to those listed above on this page.

Information regarding browser compatibility for Blackboard Collaborate Ultra can be found here.